org.jboss.netty.handler.codec.http.websocketx

## Class ContinuationWebSocketFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.http.websocketx.WebSocketFrame
  - - org.jboss.netty.handler.codec.http.websocketx.ContinuationWebSocketFrame

-     public class ContinuationWebSocketFrame
      extends WebSocketFrame

  Web Socket continuation frame containing continuation text or binary data. This is used for fragmented messages where the contents of a messages is contained more than 1 frame.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContinuationWebSocketFrame()` Creates a new empty continuation frame.
    `ContinuationWebSocketFrame(boolean finalFragment, int rsv, ChannelBuffer binaryData)` Creates a new continuation frame with the specified binary data
    `ContinuationWebSocketFrame(boolean finalFragment, int rsv, ChannelBuffer binaryData, String aggregatedText)` Creates a new continuation frame with the specified binary data
    `ContinuationWebSocketFrame(boolean finalFragment, int rsv, String text)` Creates a new continuation frame with the specified text data
    `ContinuationWebSocketFrame(ChannelBuffer binaryData)` Creates a new continuation frame with the specified binary data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAggregatedText()` Aggregated text returned by decoder on the final continuation frame of a fragmented text message
    `String` | `getText()` Returns the text data in this frame
    `void` | `setAggregatedText(String aggregatedText)`
    `void` | `setText(String text)` Sets the string for this frame
    `String` | `toString()`

    - ### Methods inherited from class org.jboss.netty.handler.codec.http.websocketx.WebSocketFrame

      `getBinaryData, getRsv, isFinalFragment, setBinaryData, setFinalFragment, setRsv`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContinuationWebSocketFrame

          public ContinuationWebSocketFrame()

      Creates a new empty continuation frame.

    - #### ContinuationWebSocketFrame

          public ContinuationWebSocketFrame(ChannelBuffer binaryData)

      Creates a new continuation frame with the specified binary data. The final fragment flag is set to true.
      Parameters:
        `binaryData` - the content of the frame.

    - #### ContinuationWebSocketFrame

          public ContinuationWebSocketFrame(boolean finalFragment,
                                    int rsv,
                                    ChannelBuffer binaryData)

      Creates a new continuation frame with the specified binary data
      Parameters:
        `finalFragment` - flag indicating if this frame is the final fragment
        `rsv` - reserved bits used for protocol extensions
        `binaryData` - the content of the frame.

    - #### ContinuationWebSocketFrame

          public ContinuationWebSocketFrame(boolean finalFragment,
                                    int rsv,
                                    ChannelBuffer binaryData,
                                    String aggregatedText)

      Creates a new continuation frame with the specified binary data
      Parameters:
        `finalFragment` - flag indicating if this frame is the final fragment
        `rsv` - reserved bits used for protocol extensions
        `binaryData` - the content of the frame.
        `aggregatedText` - Aggregated text set by decoder on the final continuation frame of a fragmented text message

    - #### ContinuationWebSocketFrame

          public ContinuationWebSocketFrame(boolean finalFragment,
                                    int rsv,
                                    String text)

      Creates a new continuation frame with the specified text data
      Parameters:
        `finalFragment` - flag indicating if this frame is the final fragment
        `rsv` - reserved bits used for protocol extensions
        `text` - text content of the frame.

  - ### Method Detail

    - #### getText

          public String getText()

      Returns the text data in this frame

    - #### setText

          public void setText(String text)

      Sets the string for this frame
      Parameters:
        `text` - text to store

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getAggregatedText

          public String getAggregatedText()

      Aggregated text returned by decoder on the final continuation frame of a fragmented text message

    - #### setAggregatedText

          public void setAggregatedText(String aggregatedText)

Copyright © 2008-2012 The Netty Project. All Rights Reserved.